# H248_DigitMapName Class Reference

`#include <h248.h>`

Inheritance diagram for H248_DigitMapName:

List of all members.

## Public Member Functions

| H248_DigitMapName (unsigned tag=UniversalOctetString, TagClass tagClass=UniversalTagClass)
| H248_DigitMapName (const char *v)
| H248_DigitMapName (const PString &v)
| H248_DigitMapName (const PBYTEArray &v)
H248_DigitMapName & | operator= (const char *v)
H248_DigitMapName & | operator= (const PString &v)
H248_DigitMapName & | operator= (const PBYTEArray &v)
PObject * | Clone () const

## Constructor & Destructor Documentation

H248_DigitMapName::H248_DigitMapName | ( | unsigned | tag = `UniversalOctetString`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

H248_DigitMapName::H248_DigitMapName | ( | const char * | v | ) |

H248_DigitMapName::H248_DigitMapName | ( | const PString & | v | ) |

H248_DigitMapName::H248_DigitMapName | ( | const PBYTEArray & | v | ) |

## Member Function Documentation

H248_DigitMapName& H248_DigitMapName::operator= | ( | const char * | v | ) |

Reimplemented from H248_Name.

H248_DigitMapName& H248_DigitMapName::operator= | ( | const PString & | v | ) |

Reimplemented from H248_Name.

H248_DigitMapName& H248_DigitMapName::operator= | ( | const PBYTEArray & | v | ) |

Reimplemented from H248_Name.

PObject* H248_DigitMapName::Clone | ( |  | ) | const

Reimplemented from H248_Name.

The documentation for this class was generated from the following file:

- h248.h